import { ReplaySubject } from 'rxjs';
export declare class NgxVirtualKeyboardService {
    isOpened$: ReplaySubject<any>;
    layout$: ReplaySubject<any>;
    disabled$: ReplaySubject<boolean>;
    special$: ReplaySubject<boolean>;
    shift$: ReplaySubject<boolean>;
    capsLock$: ReplaySubject<boolean>;
    caretPosition$: ReplaySubject<number>;
    private isOpened;
    private layout;
    private disabled;
    private capsLock;
    private shift;
    special: boolean;
    reset(): void;
    setOpen(value: boolean): void;
    setShift(value: boolean): void;
    setSpecial(value: boolean): void;
    setCapsLock(value: boolean): void;
    setCaretPosition(position: number): void;
    setDisabled(value: boolean): void;
    setLayout(value: any): void;
    toggleShift(): void;
    toggleSpecial(): void;
    toggleCapsLock(): void;
}
